# App Intranet - Environment Variables Template

# ==========================================
# BACKEND (NestJS) CONFIGURATION
# ==========================================
PORT=3000
NODE_ENV=development
PASSWORD_DB=T4Y7c)j.L0Toq5
# Database Settings (Supabase / PostgreSQL)
# Pooled connection - para queries de la app (PgBouncer, puerto 6543)
DATABASE_URL="postgresql://postgres.szfqeppzcyavmlmmvcwl:7LtH*QUUTfBcrYf@aws-0-us-east-1.pooler.supabase.com:6543/postgres?pgbouncer=true&connection_limit=1"
# Direct connection - para migraciones (bypasa PgBouncer, puerto 5432)
DIRECT_URL="postgresql://postgres.szfqeppzcyavmlmmvcwl:7LtH*QUUTfBcrYf@aws-0-us-east-1.pooler.supabase.com:5432/postgres"
SUPABASE_PASSWORD=7LtH*QUUTfBcrYf
NEXT_PUBLIC_SUPABASE_URL=https://szfqeppzcyavmlmmvcwl.supabase.co
NEXT_PUBLIC_SUPABASE_PUBLISHABLE_KEY=sb_publishable_zmH4vijRiPtiwO_TUTleNg_R20kK235
# Active Directory / Azure AD SSO Config
AD_TENANT_ID="your-azure-tenant-id"
AD_CLIENT_ID="your-azure-client-id"
AD_CLIENT_SECRET="your-azure-client-secret"
AD_REDIRECT_URI="http://localhost:3000/api/auth/callback"
JWT_SECRET="App-super-jwt-secret-key-2026"

# ==========================================
# FRONTEND (Angular) CONFIGURATION
# ==========================================
NG_APP_API_URL="http://localhost:3000/api"
NG_APP_AD_CLIENT_ID="your-azure-client-id"
NG_APP_AD_TENANT_ID="your-azure-tenant-id"

